/*!
Theme Name: Kadence Child
Theme URI: https://www.kadencewp.com/kadence-theme/
Template: kadence
Author: Kadence WP
Author URI: https://www.kadencewp.com/
Description: A child theme for the Kadence Theme.
Version: 1.0.0
License: GNU General Public License v3.0 (or later)
License URI: https://www.gnu.org/licenses/gpl-3.0.html
Text Domain: kadence-child
*/

/* Theme customization starts here
-------------------------------------------------------------- */

:root {
  --dbd-camo-green: #898e4e;
  --dbd-bright-green: #80ad40;
  --dbd-brand-blue: #233f86;
}

.admin-bar .site-header {
  top: 32px;
}

.site-header {
  transition: background-color 0.3s ease-in-out;
}

.dbd-transparent-header {
  background-color: transparent;
}

.dbd-transparent-header.active {
  background-color: #fff;
}

.dbd-fixed-header {
  position: fixed;
  width: 100%;
  top: 0;
  z-index: 9999;
  height: 110px;
  display: flex;
  align-items: center;
}

.dbd-fixed-header.active {
  box-shadow: 2px 2px 7px rgba(0, 0, 0, 0.3);
}

.site-header .container {
  width: 90%;
  max-width: 1500px;
  margin: 0 auto;
  display: flex;
}

.site-header .logo-wrap {
  width: 220px;
}

.site-header .logo-wrap img {
  width: 100%;
  height: auto;
}

.site-header .header-right {
  display: flex;
}

/*
.dbd-language-switcher ul li a img  {
  width: 20px !important;
  height: 14px !important;
}
*/
.site-header .header-right-row-1,
.site-header .header-right-row-2 {
  display: flex;
}

.header-contact .header-contact-email {
  display: inline-block;
  background-color: var(--dbd-bright-green);
  color: #fff;
  text-decoration: none;
  font-weight: 800;
  font-size: 1.1em;
  padding: 0.5rem 0.75rem;
  border-radius: 22px;
}

/*--------------------------
NAVIGATION
---------------------------*/

/*=====================
Navigation
=====================*/

/* Mobile nav controls*/

.close-mobile-nav {
  position: absolute;
  top: 25px;
  right: 25px;
  background-color: transparent;
  border: none;
}

.mobile-nav-toggle {
  display: block;
  margin-top: 5px;
  margin-right: 10px;
}

.nav-toggle-hamburger {
  width: 40px;
  height: 5px;
  background-color: #fff;
  margin-bottom: 5px;
}

.dbd-transparent-header.active .nav-toggle-hamburger {
  background-color: var(--dbd-brand-blue);
}

/* mobile nav controls end*/

.mobile-nav-overlay {
  right: 0;
  background-color: var(--dbd-brand-blue);
  height: 100%;
  width: 0;
  position: fixed;
  z-index: 99999;
  transition: width 0.15s ease-in-out;
  padding-top: 6rem;
  padding-bottom: 1.5rem;
  overflow-y: auto;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  box-shadow: -4px 0 3px rgba(0, 0, 0, 0.5);
}

.mobile-nav-overlay.open {
  width: 90%;
}

.mobile-nav-wrap,
.nav-overlay-footer {
  margin: 0 auto;
  width: 80%;
}

.nav-overlay-footer {
  padding-left: 1.5rem;
}

.nav-overlay-contact {
  display: inline-block;
  margin-bottom: 1rem;
  color: #fff;
  font-size: 1.2em;
  text-decoration: none;
}

.nav-overlay-contact span {
  font-weight: 800;
}

.mobile-nav > ul > li {
  border-bottom: solid 1px #fff;
  padding: 15px 10px;
  white-space: nowrap;
}

.mobile-nav ul > li:last-of-type {
  border-bottom: none;
}

.mobile-nav ul li a {
  display: block;
  color: #fff;
  font-size: 1.75em;
  text-decoration: none;
}

/* Mobile Nav - Sub Menus*/

.mobile-nav .menu-item-has-children > a::after {
  content: "\25bc";
  font-size: 0.6em;
  position: relative;
  top: -2px;
  left: 5px;
}

.mobile-nav .sub-menu {
  max-height: 0;
  padding-left: 1.5rem;
  overflow: hidden;
  transition: max-height 0.5s linear;
  font-size: 0.8em;
}

.mobile-nav .sub-menu li {
  padding: 0.6rem 0;
  color: #fff !important;
}

.mobile-nav.sub-menu li a {
  transition: all 0.2s linear;
  color: #fff;
  display: block;
}

.mobile-nav .sub-menu.mobile-sub-menu-open {
  max-height: 500px;
}

/* Large Screen Navigation*/

nav ul {
  list-style-type: none;
  margin-bottom: 0;
}

.main-nav {
  display: none;
}

.main-nav > ul {
  display: flex;
}

.main-nav > ul > li > a > div,
.mobile-nav > ul > li > a > div {
  display: flex;
  flex-direction: row;
  align-items: center;
}

.nav-icon {
  display: block;
  width: 30px;
  margin-right: 8px;
}
.nav-icon svg path {
  fill: #fff;
}

.dbd-transparent-header.active .nav-icon svg path {
  fill: #233f86;
}

.nav-text {
  display: block;
}

.main-nav > ul > li {
  position: relative;
}

.main-nav ul li a {
  text-decoration: none;
  color: #fff;
  padding: 10px 10px;
  font-size: 1em;
  font-weight: 400;
  line-height: 1.3em;
  letter-spacing: 1px;
  transition: background-color 0.2s ease;
  display: block;
  white-space: nowrap;
}

.main-nav > ul > li::after {
  display: block;
  content: "";
  border-bottom: solid 3px var(--dbd-bright-green);
  transform: scaleX(0);
  transition: transform 250ms ease-in-out;
}

.dbd-transparent-header.active .main-nav > ul > li::after {
  border-bottom: solid 3px var(--dbd-bright-green);
}

.main-nav > ul > li:hover::after {
  transform: scaleX(1);
}

.main-nav ul li a:not(:only-child):after {
  content: "\25bc";
  font-size: 0.6em;
  position: relative;
  top: -2px;
  left: 2px;
}

.dbd-transparent-header.active .main-nav ul > li > a {
  color: #2c3c24;
}

/* Second level of navigation*/

.main-nav ul li ul {
  width: 250px;
  position: absolute;
  z-index: 9999999999;
  top: 48px;
  left: 0;
  background-color: blue;
  padding: 5px;
}

.main-nav ul li ul > li a {
  color: #fff;
  font-weight: 400;
}

.main-nav ul li ul > li a:hover {
  background: #fff;
  color: black !important;
}

.main-nav .sub-menu {
  visibility: hidden;
  opacity: 0;
  transition: all 0.2s ease-in-out;
}

.sub-menu.nav-open {
  visibility: visible;
  opacity: 1;
  transform: translateY(10px);
}

.main-nav .highlight-btn {
  background-color: blue;
}

.main-nav .highlight-btn a {
  color: #fff !important;
}

/*=====================
News
=====================*/

.dbd-category-list ul {
  display: flex;
  justify-content: center;
  margin: 0 !important;
}

.dbd-category-list li {
  list-style-type: none;
  color: #fff;
  margin: 0.3rem;
  border-radius: 4px;
}

.dbd-category-list li a,
.dbd-category-list li a:visited {
  padding: 0.6rem;
  color: #fff !important;
  background-color: var(--dbd-camo-green);
}

.dbd-category-list li a:hover {
  color: #fff !important;
  background-color: #4b542d;
}

/***********
Languages
***********/

.dbd-language-switcher ul {
  list-style-type: none;
  display: flex;
}

.dbd-language-switcher ul li {
  margin: 0 0.3rem;
  font-size: 1em;
}

.dbd-language-switcher ul li img {
  width: 24px;
  height: 16px;
}

/***********
Jobs
***********/

.dbd-job {
  border: solid 1px #e0d0a7;
  padding: 2rem;
  margin-bottom: 1.5rem;
  box-shadow: 2px 2px 6px rgba(0, 0, 0, 0.5);
  border-radius: 10px;
}

.single-content .dbd-job h2 {
  margin-bottom: 1rem;
}

.single-content .dbd-job h2::after {
  content: "";
  width: 50px;
  height: 4px;
  display: block;
  background-color: #e0d0a7;
  margin-left: 4px;
}

.single-content .dbd-job h3 {
  margin: 1.5rem 0 0.2rem 0;
}

.dbd-job-desc {
  margin-bottom: 1.5rem;
}

/*=====================
Media Queries
=====================*/

/* Desktop */
@media (min-width: 1251px) {
  /* Header and Navigation*/

  .site-header .container {
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    width: 98%;
  }

  .site-header .header-left {
    width: 25%;
  }

  .site-header .header-right {
    flex-direction: column;
    align-items: flex-end;
  }

  .header-contact {
    margin-bottom: 0.3rem;
    margin-left: 2rem;
  }

  .main-nav {
    display: flex;
    align-items: center;
  }

  .mobile-nav-toggle {
    display: none;
  }

  /* Blog Styles */

  /* Footer */

  .tgt-site-footer h3::after {
    margin: 0 0;
  }

  .tgt-site-footer .footer-col {
  }

  .sub-footer .container {
    flex-direction: row;
    justify-content: space-between;
  }
}

/* Tablets Landscape */
@media (min-width: 768px) and (max-width: 1250px) {
  .site-header .container {
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    padding: 1rem 0;
  }

  .site-header .header-right .header-right-row-1,
  .site-header .header-right .header-right-row-2 {
    align-items: center;
  }
  .site-header .header-right {
    width: 60%;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
  }

  .mobile-nav-toggle {
    margin-left: 20px;
  }

  .mobile-nav ul li a {
    font-size: 1.25em;
  }

  .dbd-language-switcher {
    display: flex;
    align-items: center;
    padding-top: 20px;
  }
}

/* Mobiles*/
@media (max-width: 767px) {
  .site-header .container {
    padding: 1rem 0;
    justify-content: space-between;
    align-items: center;
  }

  .dbd-fixed-header {
    height: 90px;
  }
  .header-left {
    width: 40%;
  }
  .header-left .logo-wrap {
    margin: 0.4rem 0;
    width: 100%;
  }

  .header-right {
    width: 60%;
    flex-direction: row;
    justify-content: flex-end;
    align-items: center;
  }

  .header-contact {
    display: none;
  }
  .dbd-language-switcher {
    display: flex;
    justify-content: center;
    margin: 0 1rem;
  }

  .dbd-language-switcher ul {
    margin: 0;
    justify-content: center;
  }

  .nav-overlay-logo {
    width: 120px;
    height: auto;
  }

  .mobile-nav-wrap {
    font-size: 0.6em;
  }
}
